## javax.servlet
Interface ServletRequestListener

All Superinterfaces:
  java.util.EventListener

    public interface ServletRequestListener

extends java.util.EventListener

Interface for receiving notification events about requests coming into and going out of scope of a web application.

A ServletRequest is defined as coming into scope of a web application when it is about to enter the first servlet or filter of the web application, and as going out of scope as it exits the last servlet or the first filter in the chain.

In order to receive these notification events, the implementation class must be either declared in the deployment descriptor of the web application, annotated with `WebListener`, or registered via one of the addListener methods defined on `ServletContext`.

Implementations of this interface are invoked at their `requestInitialized(javax.servlet.ServletRequestEvent)` method in the order in which they have been declared, and at their `requestDestroyed(javax.servlet.ServletRequestEvent)` method in reverse order.

Since:
  Servlet 2.4

Method Summary
`void` `requestDestroyed(ServletRequestEvent sre)` Receives notification that a ServletRequest is about to go out of scope of the web application.
`void` `requestInitialized(ServletRequestEvent sre)` Receives notification that a ServletRequest is about to come into scope of the web application.

Method Detail

### requestDestroyed

    void requestDestroyed(ServletRequestEvent sre)

  Receives notification that a ServletRequest is about to go out of scope of the web application.

  Parameters:
    `sre` - the ServletRequestEvent containing the ServletRequest and the ServletContext representing the web application

### requestInitialized

    void requestInitialized(ServletRequestEvent sre)

  Receives notification that a ServletRequest is about to come into scope of the web application.

  Parameters:
    `sre` - the ServletRequestEvent containing the ServletRequest and the ServletContext representing the web application

Copyright © 2012 GlassFish Community. All Rights Reserved.